Subject: Re: linux-next: build failure after merge of the net-next tree

From: Alexei Starovoitov <[email-masked]>
Date: Wed, 10 Jan 2018 17:58:54 -0800

On Thu, Jan 11, 2018 at 11:53:55AM +1100, Stephen Rothwell wrote:
> Hi all,
> 
> After merging the net-next tree, today's linux-next build (x86_64
> allmodconfig) failed like this:
> 
> kernel/bpf/verifier.o: In function `bpf_check':
> verifier.c:(.text+0xd86e): undefined reference to `bpf_patch_call_args'
> 
> Caused by commit
> 
>   1ea47e01ad6e ("bpf: add support for bpf_call to interpreter")
> 
> interacting with commit
> 
>   290af86629b2 ("bpf: introduce BPF_JIT_ALWAYS_ON config")
> 
> from the bpf and net trees.
> 
> I have just reverted commit 290af86629b2 for today.  A better solution
> would be nice (lie fixing this in a merge between the net-next and net
> trees).

that's due to 'endif' from 290af86629b2 needs to be moved above
bpf_patch_call_args() definition.
There is another fixup needed for net-next.
I'll send a follow up patch when net gets merged into net-next.